// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnopenal.hpp"
#include "scene/SceneItemComponent.hpp"

namespace Dawn {
  class AudioListener : public SceneItemComponent {
    private:
      void onTransformUpdate();

    public:
      AudioListener(SceneItem *item);

      void onStart() override;
      void onDispose() override;
  };
}